Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# DBM_Filter::utf8

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# DBM_Filter::utf8

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- AUTHOR

# NAME

DBM_Filter::utf8 - filter for DBM_Filter

# SYNOPSIS

        use SDBM_File; # or DB_File, or GDBM_File, or NDBM_File, or ODBM_File    use DBM_Filter ;    $db = tie %hash, ...    $db->Filter_Push('utf8');

# DESCRIPTION

This Filter will ensure that all data written to the DBM will be encoded in UTF-8.

This module uses the Encode module.

# SEE ALSO

DBM_Filter, perldbmfilter, Encode

# AUTHOR

Paul Marquess pmqs@cpan.org

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- AUTHOR